<?php



$tdatatesas = array();
$tdatatesas[".searchableFields"] = array();
$tdatatesas[".ShortName"] = "tesas";
$tdatatesas[".OwnerID"] = "";
$tdatatesas[".OriginalTable"] = "tesas";


$defaultPages = my_json_decode( "{\"search\":\"search\"}" );

$tdatatesas[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatatesas[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatatesas[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelstesas = array();
$fieldToolTipstesas = array();
$pageTitlestesas = array();
$placeHolderstesas = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstesas["English"] = array();
	$fieldToolTipstesas["English"] = array();
	$placeHolderstesas["English"] = array();
	$pageTitlestesas["English"] = array();
	$fieldLabelstesas["English"]["Tesas"] = "Tesas";
	$fieldToolTipstesas["English"]["Tesas"] = "";
	$placeHolderstesas["English"]["Tesas"] = "";
	if (count($fieldToolTipstesas["English"]))
		$tdatatesas[".isUseToolTips"] = true;
}


	$tdatatesas[".NCSearch"] = true;



$tdatatesas[".shortTableName"] = "tesas";
$tdatatesas[".nSecOptions"] = 0;

$tdatatesas[".mainTableOwnerID"] = "";
$tdatatesas[".entityType"] = 0;

$tdatatesas[".strOriginalTableName"] = "tesas";

	



$tdatatesas[".showAddInPopup"] = false;

$tdatatesas[".showEditInPopup"] = false;

$tdatatesas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatesas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatesas[".listAjax"] = false;
//	temporary
$tdatatesas[".listAjax"] = false;

	$tdatatesas[".audit"] = false;

	$tdatatesas[".locking"] = false;


$pages = $tdatatesas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatesas[".edit"] = true;
	$tdatatesas[".afterEditAction"] = 1;
	$tdatatesas[".closePopupAfterEdit"] = 1;
	$tdatatesas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatesas[".add"] = true;
$tdatatesas[".afterAddAction"] = 1;
$tdatatesas[".closePopupAfterAdd"] = 1;
$tdatatesas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatesas[".list"] = true;
}

$tdatatesas[".updateSelected"] = true;


$tdatatesas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatesas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatesas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatesas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatesas[".printFriendly"] = true;
}



$tdatatesas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatesas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatesas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatesas[".isUseAjaxSuggest"] = true;

$tdatatesas[".rowHighlite"] = true;



						

$tdatatesas[".ajaxCodeSnippetAdded"] = false;

$tdatatesas[".buttonsAdded"] = false;

$tdatatesas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatesas[".isUseTimeForSearch"] = false;




$tdatatesas[".allSearchFields"] = array();
$tdatatesas[".filterFields"] = array();
$tdatatesas[".requiredSearchFields"] = array();

$tdatatesas[".googleLikeFields"] = array();
$tdatatesas[".googleLikeFields"][] = "Tesas";



$tdatatesas[".tableType"] = "list";

$tdatatesas[".printerPageOrientation"] = 0;
$tdatatesas[".nPrinterPageScale"] = 100;

$tdatatesas[".nPrinterSplitRecords"] = 40;

$tdatatesas[".geocodingEnabled"] = false;










$tdatatesas[".pageSize"] = 20;

$tdatatesas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatesas[".strOrderBy"] = $tstrOrderBy;

$tdatatesas[".orderindexes"] = array();

$tdatatesas[".sqlHead"] = "SELECT Tesas";
$tdatatesas[".sqlFrom"] = "FROM tesas";
$tdatatesas[".sqlWhereExpr"] = "";
$tdatatesas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatesas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatesas[".arrGroupsPerPage"] = $arrGPP;

$tdatatesas[".highlightSearchResults"] = true;

$tableKeystesas = array();
$tableKeystesas[] = "Tesas";
$tdatatesas[".Keys"] = $tableKeystesas;


$tdatatesas[".hideMobileList"] = array();




//	Tesas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Tesas";
	$fdata["GoodName"] = "Tesas";
	$fdata["ownerTable"] = "tesas";
	$fdata["Label"] = GetFieldLabel("tesas","Tesas");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Tesas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tesas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatesas["Tesas"] = $fdata;
		$tdatatesas[".searchableFields"][] = "Tesas";


$tables_data["tesas"]=&$tdatatesas;
$field_labels["tesas"] = &$fieldLabelstesas;
$fieldToolTips["tesas"] = &$fieldToolTipstesas;
$placeHolders["tesas"] = &$placeHolderstesas;
$page_titles["tesas"] = &$pageTitlestesas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tesas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tesas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tesas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Tesas";
$proto0["m_strFrom"] = "FROM tesas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Tesas",
	"m_strTable" => "tesas",
	"m_srcTableName" => "tesas"
));

$proto6["m_sql"] = "Tesas";
$proto6["m_srcTableName"] = "tesas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto8=array();
$proto8["m_link"] = "SQLL_MAIN";
			$proto9=array();
$proto9["m_strName"] = "tesas";
$proto9["m_srcTableName"] = "tesas";
$proto9["m_columns"] = array();
$proto9["m_columns"][] = "Tesas";
$obj = new SQLTable($proto9);

$proto8["m_table"] = $obj;
$proto8["m_sql"] = "tesas";
$proto8["m_alias"] = "";
$proto8["m_srcTableName"] = "tesas";
$proto10=array();
$proto10["m_sql"] = "";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = false;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

$proto8["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto8);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tesas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tesas = createSqlQuery_tesas();


	
		;

	

$tdatatesas[".sqlquery"] = $queryData_tesas;

$tableEvents["tesas"] = new eventsBase;
$tdatatesas[".hasEvents"] = false;

?>